Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1576016 - Step 2 of "Upgrading A Host To Puppet 4" results unexpected
Summary: Step 2 of "Upgrading A Host To Puppet 4" results unexpected
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Docs Upgrading and Updating Red Hat Satellite
Version: 6.3.1
Hardware: All
OS: Linux
unspecified
low
Target Milestone: Unspecified
Assignee: Sergei Petrosian
QA Contact: Stephen Wadeley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-08 14:51 UTC by Taft Sanders
Modified: 2019-09-26 17:59 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-09 16:11:22 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Taft Sanders 2018-05-08 14:51:18 UTC
Document URL: 
https://access.redhat.com/documentation/en-us/red_hat_satellite/6.3/html/upgrading_and_updating_red_hat_satellite/upgrading_puppet-1#performing_the_upgrade

Section Number and Name: 
Section: 3.3 Performing the Upgrade
Subsection: Upgrading A Host To Puppet 4
Step 2: Search for the Puppet 4 repository to match the host’s release:

Describe the issue: 
The command provided will show the available subscriptions that match the name 'puppet4'.

Suggestions for improvement: 
I believe the command was meant to look for the repository for Satellite tools puppet4:

# subscription-manager repos | grep "Repo ID:" | grep puppet4

Additional information: 
Not sure if I'm misunderstanding the purpose of this step, but from my research, I can not find a subscription with the product or name that includes "puppet4"

Comment 1 Taft Sanders 2018-05-08 14:54:28 UTC
Another suggestion for improvement would be to list the only 2 puppet4 satellite tools repository for RHEL 6 and RHEL 7:

rhel-7-server-satellite-tools-6.3-puppet4-rpms
rhel-6-server-satellite-tools-6.3-puppet4-rpms

Comment 2 Sergei Petrosian 2018-05-09 11:18:10 UTC
Thank you for raising this bug

Comment 3 Stephen Wadeley 2018-05-09 11:23:29 UTC
(In reply to Taft Sanders from comment #1)
> Another suggestion for improvement would be to list the only 2 puppet4
> satellite tools repository for RHEL 6 and RHEL 7:
> 
> rhel-7-server-satellite-tools-6.3-puppet4-rpms
> rhel-6-server-satellite-tools-6.3-puppet4-rpms

Hello Taft

What happens if architecture is for example arm, power, hpc-node, or system-z

(I will search for the source of those repos)

Comment 6 Stephen Wadeley 2018-05-09 13:29:59 UTC
(In reply to Taft Sanders from comment #0)
<snip>
> 
> Describe the issue: 
> The command provided will show the available subscriptions that match the
> name 'puppet4'.
> 
> Suggestions for improvement: 
> I believe the command was meant to look for the repository for Satellite
> tools puppet4:
Yes, it was 


the difficult bit is how to describe the many formats the repo can take.
Example in comment 3 looks too simple for repos for other architectures

Thank you


Note You need to log in before you can comment on or make changes to this bug.